// Code scaffolded by goctl. Safe to edit.
// goctl 1.9.2

package community

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"juwan-backend/app/community/api/internal/logic/community"
	"juwan-backend/app/community/api/internal/svc"
	"juwan-backend/app/community/api/internal/types"
)

// 取消置顶
func UnpinPostHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.PathId
		if err := httpx.Parse(r, &req); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := community.NewUnpinPostLogic(r.Context(), svcCtx)
		resp, err := l.UnpinPost(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
